all:
	gfortran -fopenmp -O0 -g -Wall -Wextra -fcheck=all -lblas laplacian_natan_kronik.f90 modules.f90 stdcg.f90 pcg.f90 fbsub.f90 main.f90
	#gfortran -O0 -g  -lblas laplacian_natan_kronik.f90 modules.f90 stdcg.f90 main.f90
	#gfortran -O3 -g laplacian_ours.f90 laplacian_natan_kronik.f90 modules.f90 main.f90

clean:
	rm -f *.mod a.out
